jvx.geom

## Class PwExplode

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwExplode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PjWorkshopIf

      public class PwExplode
      extends PjWorkshop
      implements PsTimeListenerIf

  Class to blast PgElementSets.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    13.12.02, 1.30 revised (ur) Renamed; class now extends PjWorkshop.
    28.12.01, 1.20 revised (kp) Slight changes of handling of the animation.
    09.05.01, 1.10 revised (ur) New static getDialog method added.
    16.05.00, 1.00 created (ur)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PsAnimation` | `m_anim`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwExplode()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancel operation of this workshop by resetting the assigned geometry, and finally close this workshop.
    `void` | `close()` Stop animation and close the workshop.
    `PsAnimation` | `getAnimation()` Get the explosion animation.
    `double` | `getGravity()` Get the constant of gravity.
    `java.lang.String` | `getName()` Return name of this PsTimeListenerIf.
    `double` | `getRotationSpeed()` Get the speed of rotation for parts of the exploded geometry.
    `double` | `getSpeed()` Get the speed of parts of the geometry relative to the center of explosion.
    `boolean` | `hasAnimation()` Affirm, that there is an animation.
    `void` | `reset()` Initialization.
    `void` | `setAnimation(PsAnimation anAnimation)` Assign an animation to be used for the explosion.
    `void` | `setGravity(double gravity)` Define the constant of gravity.
    `void` | `setRotationSpeed(double rotationSpeed)` Define a speed of rotation for parts of the exploded geometry.
    `void` | `setSpeed(double speed)` Define the speed of parts of the geometry relative to the center of explosion.
    `boolean` | `setTime(double time)` Compute the explosion of the geometry for a given time.
    `boolean` | `setTime(PsTimeEvent timeEvent)` Update the geometry for every new time step.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, init, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, setParent`

- - ### Field Detail

    - #### m_anim

          public PsAnimation m_anim

  - ### Constructor Detail

    - #### PwExplode

          public PwExplode()

      Constructor.

  - ### Method Detail

    - #### reset

          public void reset()

      Initialization.
      Overrides:
        `reset` in class `PjWorkshop`

    - #### hasAnimation

          public boolean hasAnimation()

      Affirm, that there is an animation.
      Specified by:
        `hasAnimation` in interface `PsTimeListenerIf`
      See Also:
        `PsTimeListenerIf.getAnimation()`, `PsTimeListenerIf.setAnimation(PsAnimation)`

    - #### setAnimation

          public void setAnimation(PsAnimation anAnimation)

      Assign an animation to be used for the explosion.
      Specified by:
        `setAnimation` in interface `PsTimeListenerIf`
      See Also:
        `PsTimeListenerIf.getAnimation()`, `PsTimeListenerIf.hasAnimation()`

    - #### getAnimation

          public PsAnimation getAnimation()

      Get the explosion animation.
      Specified by:
        `getAnimation` in interface `PsTimeListenerIf`
      See Also:
        `PsTimeListenerIf.hasAnimation()`, `PsTimeListenerIf.setAnimation(PsAnimation)`

    - #### setSpeed

          public void setSpeed(double speed)

      Define the speed of parts of the geometry relative to the center of explosion.

    - #### getSpeed

          public double getSpeed()

      Get the speed of parts of the geometry relative to the center of explosion.

    - #### setGravity

          public void setGravity(double gravity)

      Define the constant of gravity.

    - #### getGravity

          public double getGravity()

      Get the constant of gravity.

    - #### setRotationSpeed

          public void setRotationSpeed(double rotationSpeed)

      Define a speed of rotation for parts of the exploded geometry.

    - #### getRotationSpeed

          public double getRotationSpeed()

      Get the speed of rotation for parts of the exploded geometry.

    - #### getName

          public java.lang.String getName()

      Return name of this PsTimeListenerIf.
      Specified by:
        `getName` in interface `PsTimeListenerIf`
      Specified by:
        `getName` in interface `PsUpdateIf`
      Overrides:
        `getName` in class `PsObject`

    - #### setTime

          public boolean setTime(PsTimeEvent timeEvent)

      Update the geometry for every new time step.
      Specified by:
        `setTime` in interface `PsTimeListenerIf`

    - #### setTime

          public boolean setTime(double time)

      Compute the explosion of the geometry for a given time.

    - #### cancel

          public void cancel()

      Cancel operation of this workshop by resetting the assigned geometry, and finally close this workshop.
      Overrides:
        `cancel` in class `PjWorkshop`

    - #### close

          public void close()

      Stop animation and close the workshop.
      Overrides:
        `close` in class `PjWorkshop`

"

The software JavaView? is copyright protected. All Rights Reserved.
"